/*testing terminal functions
 *set 3 -- baudst()
 *Willard Goosey
 *goosey@sdc.org
 *8/8/2017
 *
 *Part of Model 100 Small C-85 Library
 *
 */
#include "m100vars.h"

main()
{
  char oldstat[6],newstat[6];
  unsigned int in1;

  strncpy(oldstat,COMSTR,5);  //comstr NOT null terminated

  puts("Current stats are: ");
  puts(oldstat);
  CRLF();

  if(oldstat[0]=='M')
    setser(0,oldstat);  //activate modem
  else
    setser(1,oldstat);  //activate rs232
  
  baudst(8); //set baud to 9600
  in1=0;
  CURSON();  //turn on text cursor

  while(in1<0x00ff)
  {
    while(rcvx())  //check serial queue
      putc(rv232c());  //write serial queue to screen
    if(in1)
    {
      //sd232c(in1); //write keyboard input to serial
      sndcom(in1);
      putc(in1);   //echo it
    }
    in1=kyread();  //sample keyboard
  }
  CLSCOM(); //turn off serial port
}
