/*varptr_string.h
 *Willard Goosey
 *goosey@sdc.org
 *10/2/2017
 *
 *part of Model 100 library for Small C-85
 *
 *smallc apparently can't handle structs that are defined but not globally 
 *declared
 *Therefore these are all in their own include files, include ONLY the ones
 *needed. 
 */

/*This is what VARPTR(A$) returns. A smallc program may be handed this pointer
 *in HL or it may be calling another parameter-accepting binary as 
 *<address>,A,HL and the other binary may expect this in HL.
 */

struct vs
{
  unsigned char vs_len;
  int vs_data; //not null terminated
};

