/*dumpline.c
 *Willard Goosey
 *goosey@sdc.org
 *5/24/2017
 */

//do a proper hex dump sized to fit m100 screen
//print 8 hex chars, then either . or char if printable
//for all 8 chars
//0123456789012345678901234567890123456789
//ff ff ff ff ff ff ff ff     12345678        

dumpline(char *line)
{
  int p;
  unsigned char c;

  for(p=0;p<8;p++)
  {
    hex8(*(line+p));
    putc(' ');
  }
  puts("    ");
  for(p=0;p<8;p++)
  {
    c=*(line+p);
    if((c<32)||((c>125)&&(c<128))||(c==224))
      putc('.');
    else
      putc(c);
  }

}
