/*tmfco.c
 *Test MakFil3 make a co file
 *test for Model 100 Small C-85 Library
 *
 *Willard Goosey
 *goosey@sdc.org
 *11/9/2017
 */

#include "m100vars.h"
#include "dir.h"


/*MAKFIL extension bytes: */
#define BA 0x80
#define DO 0xC0
#define CO 0xA0

main(char A, char *HL)
{
  char *name; 
  struct dir *slot;
  char *start;
  int i,savedco;

  //new CO to create, peacefully returns
  char newfile[7];

  newfile[0]=0x00; //endian little bersnum
  newfile[1]=0xf0; //starting address
  newfile[2]=0x00;
  newfile[3]=0x01; //length
  newfile[4]=0x00;
  newfile[5]=0xf0; //execute address
  newfile[6]=0xc9; //ret



  name= "RTMF3.CO";
  start= VARSTART; //vartab end of CO files

  savedco=COSTART; //save costart
  slot=FREDIR();  

  hex16(start);CRLF();

  prsnam(name,strlen(name));

  hex16(makfil(slot,start-1,CO)); CRLF();
  if(makhol(7,start)<0)
  {
    BEEP();
    MENU();
  }
  COSTART=savedco; //makhol always touches costart

  for(i=0;i<7;i++) //write new CO file
    start[i]=newfile[i];

  DIROK(); //fix directory entries

}
