/*testing terminal functions
 *set  -- inzcom
 *Willard Goosey
 *goosey@sdc.org
 *8/8/2017
 *
 *Part of Model 100 Small C-85 Library
 *
 */
#include "m100vars.h"

main()
{
  char oldstat[6],newstat[6];
  unsigned int in1;

  inzcom(1,8,0x1d); //9600, 8n1

  in1=0;
  CURSON();  //turn on text cursor

  while(in1<0x00ff)
  {
    while(rcvx())  //check serial queue
      putc(rv232c());  //write serial queue to screen
    if(in1)
    {
      //sd232c(in1); //write keyboard input to serial
      sndcom(in1);
      putc(in1);   //echo it
    }
    in1=kyread();  //sample keyboard
  }
  CLSCOM(); //turn off serial port
}
